<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.css">
    <link rel="stylesheet" href="node_modules/angular-dragula/dist/dragula.css">
    <link rel="stylesheet" href="index.css">
    <script src="node_modules/angular/angular.js"></script>
    <script src="node_modules/angular-dragula/dist/angular-dragula.js"></script>
    <script src="app.js"></script>
</head>

<body>
    <div class="container" ng-app="MyApp">
        <div ng-controller="HomeController as ctrl">
            <div class="well">
            <div class="input-group">
                <input type="checkbox" ng-model="ctrl.firstOption">
                <label for="">Fixed columns</label>
            </div>
            <div class="input-group">
                <input type="checkbox" ng-model="ctrl.secondOption">
                <label for="">Columns inside of a row</label>
            </div>
            </div>
            <div class="row" style="height:360px;" ng-if="ctrl.firstOption">
                <div dragula='"first-bag"' class="col-xs-3 holder max-height">
                    <div class="item">1</div>
                    <div class="item">2</div>
                    <div class="item">3</div>
                    <div class="item">4</div>
                    <div class="item">5</div>
                </div>
                <div dragula='"first-bag"' class="col-xs-3 holder max-height"></div>
                <div dragula='"first-bag"' class="col-xs-3 holder max-height"></div>
                <div dragula='"first-bag"' class="col-xs-3 holder max-height"></div>
            </div>
            <div ng-if="ctrl.secondOption">
                <div class="input-group">
                    <input type="text" ng-model="ctrl.classes">
                    <label for="">Additional classes</label>
                </div>
                <div dragula='"first-bag"' class="row holder">
                    <div class="item {{ctrl.classes}}">1</div>
                    <div class="item {{ctrl.classes}}">2</div>
                    <div class="item {{ctrl.classes}}">3</div>
                    <div class="item {{ctrl.classes}}">5</div>
                    <div class="item {{ctrl.classes}}">4</div>
                </div>
            </div>
        </div>
    </div>
    </div>
</body>

</html>